Package ghidra.app.plugin.assembler.sleigh.sem

# Class AssemblyOperandStateGenerator

java.lang.Object
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyStateGenerator<AssemblyParseNumericToken>
ghidra.app.plugin.assembler.sleigh.sem.AssemblyOperandStateGenerator

public class AssemblyOperandStateGenerator extends AbstractAssemblyStateGenerator<AssemblyParseNumericToken>
The generator of `AssemblyOperandState` from `AssemblyParseNumericToken`

In short, this handles generation of a single operand state for the operand and value recorded by the given parse token.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyStateGenerator

  `AbstractAssemblyStateGenerator.GeneratorContext`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final OperandSymbol`
  `opSym`

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyStateGenerator

  `DBG, fromLeft, node, resolver`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssemblyOperandStateGenerator(AssemblyTreeResolver resolver, AssemblyParseNumericToken node, OperandSymbol opSym, AssemblyResolvedPatterns fromLeft)`
  Construct the operand state generator

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Stream<AssemblyGeneratedPrototype>`
  `generate(AbstractAssemblyStateGenerator.GeneratorContext gc)`
  Generate states

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### opSym

    protected final OperandSymbol opSym

- ## Constructor Details

  - ### AssemblyOperandStateGenerator

    public AssemblyOperandStateGenerator(AssemblyTreeResolver resolver, AssemblyParseNumericToken node, OperandSymbol opSym, AssemblyResolvedPatterns fromLeft)
    Construct the operand state generator
    Parameters:
      `resolver` - the resolver
      `node` - the ndoe from which to generate the state
      `fromLeft` - the accumulated patterns from the left sibling or parent
      `opSym` - the operand symbol

- ## Method Details

  - ### generate

    public Stream<AssemblyGeneratedPrototype> generate(AbstractAssemblyStateGenerator.GeneratorContext gc)
    Description copied from class: `AbstractAssemblyStateGenerator`
    Generate states
    Specified by:
      `generate` in class `AbstractAssemblyStateGenerator<AssemblyParseNumericToken>`
    Parameters:
      `gc` - the generator context for this node
    Returns:
      the stream of prototypes, each including accumulated patterns